Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016464
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-03-24 12:492011-08-12 12:09
ReportergorkaionView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP2
StatusclosedFix in branchFixed in SCM revisionf7319ac66cd2
ProjectionnoneETAnoneTarget Version3.0MP2
OSLinux 32 bitDatabaseOracleJava version1.5.0_15
OS VersionGentooDatabase version11gAnt version1.7.0
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016464: getIdentifier() method doesn't handle translations

DescriptionWhen using the getIdentifier() the returned String is not translated to the context's language.
Steps To Reproduce1. Log into the online demo in Spanish
2. Go to the window "Producto" ( http://demo.openbravo.com/openbravo/?tabId=180 [^] )
3. See that on grid mode the "Unidad" column (Unit of measure) shows the units in English instead of Spanish.

Due to another issue this can be also reproduced on any instance using English (USA) language. On this case "Liter" has a translation to English (USA) as "Litre". On grid default mode you can see "Liter", but on edit mode you see the translation to "Litre".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 00181953.0MP3 closedalostale The taxes are not translated on grid view 

-  Notes
(0036426)
dmitry_mezentsev (developer)
2011-05-05 18:17

Does not fit RC7.
(0037585)
iperdomo (developer)
2011-05-26 10:28

Replanned to be done by 3.0MP1
(0039278)
hgbot (developer)
2011-07-21 11:09

Repository: erp/devel/pi
Changeset: af0539a25f8cf696846a851454bfe0f7b3674b2e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 18 12:26:21 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/af0539a25f8cf696846a851454bfe0f7b3674b2e [^]

fixed issue 16464: Handle translations in grid

  Using isTranlsated column to determine whether a property can be translated.
  Based on this tranlsate the property when needed to shown in UI as single property
  or part of an identifier.

---
M src/org/openbravo/base/model/Column.hbm.xml
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/base/structure/BaseOBObject.java
M src/org/openbravo/base/structure/IdentifierProvider.java
---
(0039279)
hgbot (developer)
2011-07-21 11:10

Repository: erp/devel/pi
Changeset: 389abd2b89f7e1c4b5828f4153c292f67171ce9f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 18 12:27:04 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/389abd2b89f7e1c4b5828f4153c292f67171ce9f [^]

fixed issue 16464: Handle translations in grid

  Filter taking into account translations

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0039280)
hgbot (developer)
2011-07-21 11:10

Repository: erp/devel/pi
Changeset: f7319ac66cd275493a10a719671e038c1ac05564
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 18 12:27:31 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f7319ac66cd275493a10a719671e038c1ac05564 [^]

fixed issue 16464: Handle translations in grid

  Removed incorrect isTranlsated setting

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0039281)
hgbot (developer)
2011-07-21 11:10

Repository: erp/devel/pi
Changeset: f8b10899ee01a1f503017c349432583ac4336678
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 21 10:22:13 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f8b10899ee01a1f503017c349432583ac4336678 [^]

related to issue 16464: Handle translations in grid

  Using Collection filtering instead of Criteria to improve performance.

---
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/base/structure/BaseOBObject.java
---
(0039282)
hgbot (developer)
2011-07-21 11:10

Repository: erp/devel/pi
Changeset: 661e642807edadfae0ef64f5424ebaa90218c84c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 21 11:06:38 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/661e642807edadfae0ef64f5424ebaa90218c84c [^]

related to issue 16464: Handle translations in grid

  Properties are not translatable in case there are not installed translations
  in the sytem. In this way in case of no translations installed trl tables are
  not queried improving performance.

---
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/dal/core/OBContext.java
---
(0039289)
hgbot (developer)
2011-07-21 13:07

Repository: erp/devel/pi
Changeset: 33e78b4042b489fc9983c400318c3c2f90a4b0d9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 21 13:06:33 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33e78b4042b489fc9983c400318c3c2f90a4b0d9 [^]

related to issue 16464: Handle translations in grid

  Property cannot make use of BaseOBObject beacause Property is compiled before
  Entities are genereted and BaseOBObject needs the entities to be generated in
  order to be compilble.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/base/structure/BaseOBObject.java
---
(0039290)
hgbot (developer)
2011-07-21 13:10

Repository: erp/devel/pi
Changeset: 6f6a12817c395e1208ba7044cb0d48c034987789
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jul 21 13:09:41 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6f6a12817c395e1208ba7044cb0d48c034987789 [^]

related to issue 16464: missing imports

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src/org/openbravo/base/structure/BaseOBObject.java
---
(0039640)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039641)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039642)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039643)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039644)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039647)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039648)
hudsonbot (developer)
2011-08-01 14:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0040149)
jonalegriaesarte (reporter)
2011-08-12 12:09

Verified

- Issue History
Date Modified Username Field Change
2011-03-24 12:49 gorkaion New Issue
2011-03-24 12:49 gorkaion Assigned To => mtaal
2011-03-24 12:49 gorkaion Modules => Core
2011-03-24 12:50 gorkaion Target Version => 3.0RC6
2011-03-24 12:51 shuehner Issue Monitored: shuehner
2011-03-29 09:18 alostale Status new => scheduled
2011-04-04 10:23 mtaal Target Version 3.0RC6 => 3.0RC7
2011-04-27 15:41 mtaal Assigned To mtaal => alostale
2011-05-05 18:17 dmitry_mezentsev Note Added: 0036426
2011-05-05 18:17 dmitry_mezentsev Target Version 3.0RC7 => 3.0MP0
2011-05-23 14:27 dmitry_mezentsev Priority normal => urgent
2011-05-26 10:28 iperdomo Note Added: 0037585
2011-05-26 10:28 iperdomo Target Version 3.0MP0 => 3.0MP1
2011-07-05 08:27 dmitry_mezentsev Target Version 3.0MP1 => 3.0MP2
2011-07-21 11:09 hgbot Checkin
2011-07-21 11:09 hgbot Note Added: 0039278
2011-07-21 11:09 hgbot Status scheduled => resolved
2011-07-21 11:09 hgbot Resolution open => fixed
2011-07-21 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/af0539a25f8cf696846a851454bfe0f7b3674b2e [^]
2011-07-21 11:10 hgbot Checkin
2011-07-21 11:10 hgbot Note Added: 0039279
2011-07-21 11:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/af0539a25f8cf696846a851454bfe0f7b3674b2e [^] => http://code.openbravo.com/erp/devel/pi/rev/389abd2b89f7e1c4b5828f4153c292f67171ce9f [^]
2011-07-21 11:10 hgbot Checkin
2011-07-21 11:10 hgbot Note Added: 0039280
2011-07-21 11:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/389abd2b89f7e1c4b5828f4153c292f67171ce9f [^] => http://code.openbravo.com/erp/devel/pi/rev/f7319ac66cd275493a10a719671e038c1ac05564 [^]
2011-07-21 11:10 hgbot Checkin
2011-07-21 11:10 hgbot Note Added: 0039281
2011-07-21 11:10 hgbot Checkin
2011-07-21 11:10 hgbot Note Added: 0039282
2011-07-21 13:07 hgbot Checkin
2011-07-21 13:07 hgbot Note Added: 0039289
2011-07-21 13:10 hgbot Checkin
2011-07-21 13:10 hgbot Note Added: 0039290
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039640
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039641
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039642
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039643
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039644
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039647
2011-08-01 14:20 hudsonbot Checkin
2011-08-01 14:20 hudsonbot Note Added: 0039648
2011-08-04 12:22 alostale Relationship added has duplicate 0018195
2011-08-12 12:09 jonalegriaesarte Note Added: 0040149
2011-08-12 12:09 jonalegriaesarte Status resolved => closed
2011-08-12 12:09 jonalegriaesarte Fixed in Version => 3.0MP2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker